CANVAS_CREATE(3)

FUNCTION
canvas_create - Create world canvas.

SYNOPSIS
#include <karma_canvas.h>

KWorldCanvas canvas_create

(KPixCanvas pixcanvas, Kcolourmap cmap, struct win_scale_type *win_scale)

DESCRIPTION
This routine will create a world canvas, ready for drawing, from a KPixCanvas (pixel canvas) object. The origin of a KWorldCanvas is the lower-left corner.

pixcanvas
    The pixel canvas object.

cmap
    The colourmap. If this is NULL, the canvas will only permit drawing using pixel values. This precludes the use of drawing PseudoColour images and drawing geometric primitives using data values.

win_scale
    The window scaling information. The <<x_offset>> <<x_pixels>> <<y_offset>> and <<y_pixels>> fields are determined internally. If this is NULL a default scale is choosen.

RETURN VALUE
A world canvas object on success, else NULL.

Multi-threading Level
Unsafe.

NOTES
Resize events on the colourmap will cause the canvas to be refreshed.

The world canvas will be automatically destroyed if the pixel canvas is destroyed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/